package com.supervision.police.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.police.domain.NoteRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NoteRecordMapper extends BaseMapper<NoteRecord> {

    List<NoteRecord> selectByRecordType(@Param("recordType") String recordType);

    List<NoteRecord> selectRecord(@Param("caseId") String caseId,
                                  @Param("name") String name,
                                  @Param("recordId") String recordId);

}
