package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.common.domain.R;
import com.supervision.police.domain.CasePerson;
import com.supervision.police.domain.ModelCase;
import org.springframework.web.multipart.MultipartFile;

/**
 * 案件表(ModelCase)表服务接口
 *
 * @author makejava
 * @since 2024-07-02 14:14:43
 */
public interface ModelCaseService extends IService<ModelCase> {

    R<?> queryList(ModelCase modelCase, Integer page, Integer size);

    R<?> checkCaseNo(String caseNo);

    R<?> addOrUpd(ModelCase modelCase);

    R<?> del(String id);

    R<?> getPerson(String caseId, String name);

    R<?> addPersion(CasePerson person);

    R<?> uploadCase(MultipartFile file);

    R<?> getIndexDetail(String caseId, String indexType, Integer page, Integer size);

}

