package com.supervision.springaidemo.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import lombok.Data;

/**
 * @TableName model_metric
 */
@TableName(value = "model_metric")
@Data
public class ModelMetric implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 指标编码
     */
    private String metricCode;

    /**
     * 指标ID
     */
    private Integer metricId;

    /**
     * 指标名称
     */
    private String metricName;

    /**
     * 模型详情模板,一个新的尝试
     */
    private String metricDetailTemplate;

    /**
     * 通过例子来做,钱院长的建议,可以尝试一下
     */
    private String example;

    /**
     * 判定符合的描述
     */
    private String metricTrueDesc;

    /**
     * 判定为不符合的原因
     */
    private String metricFalseDesc;

    /**
     * 指标详细描述
     */
    private String metricDesc;

    /**
     * 指标类型 0共性指标 1入罪指标 2出罪指标
     */
    private Integer metricType;

    /**
     * 提示词模板
     */
    private String promptTemplate;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}