package com.supervision.police.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.ModelAtomicIndex;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 原子指标表(ModelAtomicIndex)表数据库访问层
 *
 * @author qmy
 * @since 2024-07-05 10:23:11
 */
public interface ModelAtomicIndexMapper extends BaseMapper<ModelAtomicIndex> {

    IPage<ModelAtomicIndex> selectAll(IPage<ModelAtomicIndex> iPage, @Param("index") ModelAtomicIndex index);

    List<ModelAtomicIndex> selectByCaseType(@Param("caseType") String caseType);

}

